Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts.truetype
Class TTFFontLoader

    java.lang.Object
      org.apache.fop.fonts.FontLoader
          org.apache.fop.fonts.truetype.TTFFontLoader

    public class TTFFontLoader

extends FontLoader

Loads a TrueType font into memory directly from the original font file.

Field Summary

Fields inherited from class org.apache.fop.fonts.FontLoader
`embedded, fontFileURI, loaded, log, resolver, returnFont, useAdvanced, useKerning`

Constructor Summary
`TTFFontLoader(java.lang.String fontFileURI, FontResolver resolver)` Default constructor
`TTFFontLoader(java.lang.String fontFileURI, java.lang.String subFontName, boolean embedded, EmbeddingMode embeddingMode, EncodingMode encodingMode, boolean useKerning, boolean useAdvanced, FontResolver resolver)` Additional constructor for TrueType Collections.

Method Summary
`protected void` | `read()` Reads/parses the font data.

Methods inherited from class org.apache.fop.fonts.FontLoader
`getFont, loadFont, loadFont, loadFont, openFontUri`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TTFFontLoader

    public TTFFontLoader(java.lang.String fontFileURI,
                         FontResolver resolver)

  Default constructor

  Parameters:
    `fontFileURI` - the URI representing the font file
    `resolver` - the FontResolver for font URI resolution

### TTFFontLoader

    public TTFFontLoader(java.lang.String fontFileURI,
                         java.lang.String subFontName,
                         boolean embedded,
                         EmbeddingMode embeddingMode,
                         EncodingMode encodingMode,
                         boolean useKerning,
                         boolean useAdvanced,
                         FontResolver resolver)

  Additional constructor for TrueType Collections.

  Parameters:
    `fontFileURI` - the URI representing the font file
    `subFontName` - the sub-fontname of a font in a TrueType Collection (or null for normal TrueType fonts)
    `embedded` - indicates whether the font is embedded or referenced
    `embeddingMode` - the embedding mode of the font
    `encodingMode` - the requested encoding mode
    `useKerning` - true to enable loading kerning info if available, false to disable
    `useAdvanced` - true to enable loading advanced info if available, false to disable
    `resolver` - the FontResolver for font URI resolution

Method Detail

### read

    protected void read()
                 throws java.io.IOException

  Reads/parses the font data.

  Specified by:
    `read` in class `FontLoader`
  Throws:
    `java.io.IOException` - In case of an I/O error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.